﻿<style>
    /* Always set the map height explicitly to define the size of the div
      * element that contains the map. */
    #map {
        height: 100%;
    }

    #description {
        font-family: Roboto;
        font-size: 15px;
        font-weight: 300;
    }

    #infowindow-content .title {
        font-weight: bold;
    }

    #infowindow-content {
        display: none;
    }

    #map #infowindow-content {
        display: inline;
    }

    .pac-card {
        margin: 10px 10px 0 0;
        border-radius: 2px 0 0 2px;
        box-sizing: border-box;
        -moz-box-sizing: border-box;
        outline: none;
        box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
        background-color: #fff;
        font-family: Roboto;
    }

    #pac-container {
        padding-bottom: 12px;
        margin-right: 12px;
    }

    .pac-controls {
        display: inline-block;
        padding: 5px 11px;
    }

        .pac-controls label {
            font-family: Roboto;
            font-size: 13px;
            font-weight: 300;
        }

    #pac-input {
        background-color: #fff;
        font-family: Roboto;
        font-size: 15px;
        font-weight: 300;
        margin-left: 12px;
        padding: 0 11px 0 13px;
        text-overflow: ellipsis;
        width: 400px;
    }

        #pac-input:focus {
            border-color: #4d90fe;
        }

    #title {
        color: #fff;
        background-color: #4d90fe;
        font-size: 25px;
        font-weight: 500;
        padding: 6px 12px;
    }

    #target {
        width: 345px;
    }
</style>


<form name="FormMap.Map">


    <div class="form-group">
        <div class="col-md-6 col-xs-12">
            <label class="control-label">{{transaction.Latitude}} </label>

            <input type="text" class="form-control" required
                   ng-model="model.latitude" value="24.713552" id="maplat" name="latitude" disabled="disabled" />



        </div>
        <div class="col-md-6 col-xs-12">
            <label class="control-label">{{transaction.Longitude}} </label>

            <input type="text" class="form-control" required
                   ng-model="model.longitude" value="46.675296" id="maplng" name="longitude" disabled="disabled" />

        </div>

    </div>
    <div class="form-group">
        <div class="col-md-12 col-xs-12" style="height:300px;">
            <input id="pac-input" class="controls form-control" type="text" placeholder="Search Box">
            <div id="map"></div>
            <script>
                // This example adds a search box to a map, using the Google Place Autocomplete
                // feature. People can enter geographical searches. The search box will return a
                // pick list containing a mix of places and predicted search terms.

                // This example requires the Places library. Include the libraries=places
                // parameter when you first load the API. For example:
                // <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCRdChFTkwz6jMAK-3boryZGxDnfIoOFYc&libraries=places">

                var currentlyLat = parseFloat($('#hdnLatitude').val());
                var currentlyLng = parseFloat($('#hdnLongitude').val());


                function initAutocomplete() {
                    var map = new google.maps.Map(document.getElementById('map'), {
                        center: { lat: currentlyLat, lng: currentlyLng },
                        zoom: 10,
                        mapTypeId: 'roadmap'
                    });

                    //var myLatlng = new google.maps.LatLng(parseInt(currentlyLat), parseInt(currentlyLng));

                    var myLatLng = { lat: currentlyLat, lng: currentlyLng };

                    var marker = new google.maps.Marker({
                        position: myLatLng,
                        map: map,
                        title: 'Hello World!',
                        zoom: 4,

                    });


                    // Create the search box and link it to the UI element.
                    var input = document.getElementById('pac-input');
                    var searchBox = new google.maps.places.SearchBox(input);
                    map.controls[google.maps.ControlPosition.TOP_LEFT].push(input);

                    // Bias the SearchBox results towards current map's viewport.
                    map.addListener('bounds_changed', function () {
                        searchBox.setBounds(map.getBounds());
                    });

                    var markers = [];
                    // Listen for the event fired when the user selects a prediction and retrieve
                    // more details for that place.
                    searchBox.addListener('places_changed', function () {
                        var places = searchBox.getPlaces();

                        if (places.length == 0) {
                            return;
                        }

                        // Clear out the old markers.
                        markers.forEach(function (marker) {
                            marker.setMap(null);
                        });
                        markers = [];

                        // For each place, get the icon, name and location.
                        var bounds = new google.maps.LatLngBounds();
                        places.forEach(function (place) {
                            if (!place.geometry) {
                                console.log("Returned place contains no geometry");
                                return;
                            }


                            // Create a marker for each place.
                            markers.push(new google.maps.Marker({
                                map: map,
                                title: place.name,
                                position: place.geometry.location
                            }));

                            var lat = place.geometry.location.lat();
                            var lang = place.geometry.location.lng();

                            $('#maplat').val(lat);
                            $('#maplng').val(lang);

                            $('#hdnLatitude').val(lat);
                            $('#hdnLongitude').val(lang);

                            if (place.geometry.viewport) {
                                bounds.union(place.geometry.viewport);
                            } else {
                                bounds.extend(place.geometry.location);
                            }
                        });
                        map.fitBounds(bounds);
                    });
                }

            </script>
            <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCRdChFTkwz6jMAK-3boryZGxDnfIoOFYc&libraries=places&callback=initAutocomplete"
                    async defer></script>
        </div>
    </div>

</form>

